# array_uintersect_uassoc

(PHP 5, PHP 7)

array_uintersect_uassoc — Computes the intersection of arrays with additional index check, compares data and indexes by separate callback functions

### Description

array_uintersect_uassoc ( array `$array1` , array `$array2` [, array `$...` ], callable `$value_compare_func` , callable `$key_compare_func` ) : array

Computes the intersection of arrays with additional index check, compares data and indexes by separate callback functions.

### Parameters

`array1`

  The first array.

`array2`

  The second array.

`value_compare_func`

  The comparison function must return an integer less than, equal to, or greater than zero if the first argument is considered to be respectively less than, equal to, or greater than the second. Note that before PHP 7.0.0 this integer had to be in the range from -2147483648 to 2147483647.

  callback ( mixed `$a`, mixed `$b` ) : int
`key_compare_func`

  Key comparison callback function.

### Return Values

Returns an array containing all the values of `array1` that are present in all the arguments.

### Examples

Example #1 array_uintersect_uassoc() example

`<?php
$array1 = array("a" => "green", "b" => "brown", "c" => "blue", "red");
$array2 = array("a" => "GREEN", "B" => "brown", "yellow", "red");
print_r(array_uintersect_uassoc($array1, $array2, "strcasecmp", "strcasecmp"));
?>`

The above example will output:

    Array
    (
        [a] => green
        [b] => brown
    )

### See Also

- array_uintersect() - Computes the intersection of arrays, compares data by a callback function
- array_intersect_assoc() - Computes the intersection of arrays with additional index check
- array_intersect_uassoc() - Computes the intersection of arrays with additional index check, compares indexes by a callback function
- array_uintersect_assoc() - Computes the intersection of arrays with additional index check, compares data by a callback function